@font-face {
    font-family: "Bebas";
    src: url("../assets/fonts/BebasNeue-webfont.ttf") format("truetype");
    font-weight: 400;
    font-style: normal;
}

@font-face {
    font-family: "Montserrat";
    src: url("../assets/fonts/Montserrat-VariableFont_wght.ttf") format("truetype");
    font-optical-sizing: auto;
    font-style: normal;
}

@font-face {
    font-family: "Montserrat";
    src: url("../assets/fonts/Montserrat-Italic-VariableFont_wght.ttf") format("truetype");
    font-optical-sizing: auto;
    font-style: italic;
}

:root {
    --primary: #045184;
    --secondary: #3cb878;
    --light: #569DD2;
    --dark: #01133a;
    --gray: #ccc;
    --shadow: rgba(0, 0, 0, .1);
    font-family: "Montserrat", Arial, Helvetica, sans-serif;
    font-size: 20px;
    color: var(--dark);
    fill: var(--dark);
}

html {
    scrollbar-width: thin;
    scroll-padding-top: 76px;
}

html,
body {
    overflow-x: hidden;
    max-width: 100vw;
    margin: 0;
    padding: 0;
    min-height: 100vh;
    min-height: 100dvh;
}

body {
    display: flex;
    flex-direction: column;
    background-color: white;
}

body * {
    box-sizing: border-box;
}

body *::selection {
    color: white;
    background-color: var(--primary);
}

* {
    -webkit-tap-highlight-color: transparent;
}

/*#region general*/

img {
    display: block;
    object-fit: cover;
    width: 100%;
}

.d-none-sm {
    display: block;
}

.d-block-sm {
    display: none;
}

.bg-white {
    background-color: white;
    fill: var(--primary);
}

.bg-primary {
    background-color: var(--primary);
    color: white;
    fill: white;
}

.bg-light {
    background-color: var(--light);
    color: white;
}

.bg-dark {
    background-color: var(--dark);
    color: white;
}

.bg-secondary {
    background-color: var(--secondary);
    color: white;
    fill: white;
}


.bg-light *,
.bg-dark *,
.bg-secondary *,
.bg-primary * {
    color: white;
    fill: white;
}

.bg-primary::selection,
.bg-primary *::selection {
    background-color: white;
    color: var(--primary);
}

.bg-secondary::selection,
.bg-secondary *::selection {
    background-color: white;
    color: var(--secondary);
}

.bg-dark::selection,
.bg-dark *::selection {
    background-color: white;
    color: var(--dark);
}

.text-center {
    text-align: center;
}

.d-content {
    display: contents;
}

.w-100 {
    width: 100%;
}

.w-75 {
    width: 75%;
}

.w-50 {
    width: 50%;
}

.w-25 {
    width: 25%;
}

.center {
    display: flex;
    justify-content: center;
    align-items: center;
}

.e-50 {
    width: 50%;
    align-self: flex-end;
}

.s-50 {
    width: 50%;
    align-self: flex-start;
}

.main-center {
    justify-content: center;
}

.cross-center {
    align-items: center;
}

.column,
.row {
    display: flex;
    gap: 16px;
}

.row {
    flex-direction: row;
}

.column {
    flex-direction: column;
}

.space-between {
    justify-content: space-between;
}

.relative {
    position: relative;
}

.underline-secondary {
    text-decoration: underline;
    text-decoration-thickness: 8px;
    text-decoration-color: var(--secondary);
    text-underline-position: auto;
    text-underline-offset: -4px;
    text-decoration-skip-ink: none;
}

.underline {
    text-decoration: underline;
}

#navbar:not(.stuck) .link,
#navbar:not(.stuck) .drop-down-label,
#navbar:not(.stuck) .logo,
#hero-title:has(+picture) h1,
.text-shadow *,
.text-shadow {
    text-shadow: 1px 3px 4px rgba(0, 0, 0, .5);
}


.text-secondary,
.text-secondary * {
    color: var(--secondary);
}

.text-primary::selection {
    color: white;
    background-color: var(--secondary);
}

.text-primary,
.text-primary * {
    color: var(--primary);
}

.text-primary *::selection,
.text-primary::selection {
    color: white;
    background-color: var(--primary);
}

.text-dark,
.text-dark * {
    color: var(--dark);
}

.text-white,
.text-white * {
    color: white;
}

.text-white *::selection,
.text-white::selection {
    color: var(--primary);
    background-color: white;
}

.content {
    padding: 64px;
    display: flex;
    gap: 16px;
}

.content>* {
    max-width: 1300px;
}

.icon {
    object-fit: scale-down;
    height: 64px;
    width: 64px;
    color: var(--primary);
}

.material-symbols-rounded {
    vertical-align: middle;
    user-select: none;
}

.gradient-circle {
    position: absolute;
    width: 15vw;
}

.wavy {
    font-family: Bebas;
    font-size: 10em;
    background: url("../assets/img/wide_waves.svg") repeat-x;
    background-clip: text;
    background-size: cover;
    color: transparent;
}

.checklist {
    list-style: none;
    margin: 0;
}

.checklist>li::before {
    content: "\e5ca";
    display: inline-block;
    vertical-align: middle;
    color: var(--secondary);
    font-family: "Material Symbols Rounded";
    line-height: 1;
    font-size: 2.5em;
}

.checklist>li {
    vertical-align: middle;
    line-height: 2.5em;
    font-weight: 600;
}

#get-in-touch {
    position: relative;
    aspect-ratio: 3 / 1;
    overflow: hidden;
}

#get-in-touch-content {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 16px;
    transform: translate(0, calc(-50% + 32px));
}

#get-in-touch-content * {
    margin: 0;
}

.apps {
    display: grid;
    grid-template-columns: 1fr 1fr;
    align-items: center;
    grid-template-rows: max-content;
    gap: 16px;
}

.apps>a {
    transition: scale .3s;
}

.apps>a:hover {
    scale: 1.04;
}

/*#endregion*/

/*#region footer*/
footer {
    font-size: 18px;
    margin-top: auto;
    padding: 8px 16px;
    align-items: center;
}

footer form {
    font-size: 16px;
}

footer form>:last-child {
    width: 0;
    pointer-events: none;
    position: absolute;
}

footer form>:last-child>input {
    background-color: inherit;
    border: none;
    pointer-events: none;
    position: absolute;
}

footer.column {
    gap: 0;
}

footer>*+* {
    border-top: 1px solid var(--shadow);
}

footer>* {
    padding: 16px;
    width: 1500px;
    max-width: 100%;
}

footer>.row {
    gap: 64px;
}

footer>*>:last-child>:last-child {
    margin-top: auto;
}

footer .logo {
    font-size: 2em;
}

footer .link,
footer .link * {
    transition: color .3s;
}

footer .link::after {
    content: none;
}

footer .link:hover,
footer .link:hover * {
    color: var(--light);
}

footer .apps {
    max-width: 350px;
}

#footer-grid {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-template-areas: 'a b c d';
    justify-items: center;
    gap: 32px 16px;
}

#footer-grid>:nth-child(1) {
    grid-area: a;
}

#footer-grid>:nth-child(2) {
    grid-area: b;
}

#footer-grid>:nth-child(3) {
    grid-area: c;
}

#footer-grid>:nth-child(4) {
    grid-area: d;
}

#footer-grid>* {
    max-width: 100%;
}

@media only screen and (max-width: 1400px) {
    #footer-grid {
        grid-template-columns: 1fr 1fr;
        grid-template-rows: 1fr 1fr;
        grid-template-areas:
            'a d'
            'b c';
    }
}

@media only screen and (max-width: 730px) {
    #footer-grid {
        grid-template-areas:
            'a a'
            'd d'
            'b c';
        grid-template-columns: 1fr 1fr;
        grid-template-rows: auto 1fr 1fr;
    }

    #footer-grid>:nth-child(2) h4,
    #footer-grid>:nth-child(3) h4,
    #footer-grid .link {
        text-align: center;
    }
}

/*#endregion*/

/*#region title*/
h1,
h2,
h3,
h4,
h5,
h6 {
    margin: 0;
    color: var(--primary)
}

h1 {
    font-size: 2.5em;
    font-weight: normal;
}

h2 {
    font-size: 2em;
}

h1:has(>em),
h2:has(>em) {
    font-weight: normal;
}

h1>em,
h2>em {
    font-style: normal;
    font-weight: bold;
}

/*#endregion*/

/*#region input*/
input::selection {
    color: white !important;
    background-color: var(--primary) !important;
}

input,
textarea {
    max-width: 100%;
    border-radius: 4px 4px 0 0;
    border: 1px solid var(--shadow);
    border-bottom: 3px solid var(--primary);
    color: var(--dark) !important;
    font-size: 1em;
    padding: 16px;
    padding-top: 32px;
    font-family: inherit;
}

input:has(+.btn) {
    border: 2px solid var(--shadow);
    padding: 4px 8px;
    border-radius: 8px 0 0 8px;
}

:where(textarea),
:where(input[type="text"], input[type="search"], input[type="password"], input[type="url"]) {
    appearance: none;
    border-style: solid;
    outline: none;
}

textarea {
    resize: none;
}

label {
    position: relative;
    display: flex;
    flex-direction: column;
}

label:has(>input):has(>.btn) {
    display: flex;
    flex-direction: row;
}

label>input:has(+.btn) {
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
}

label>input+.btn {
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
    padding: 8px 16px;
    display: inline;
}

label>span:first-child {
    color: #505050;
    position: absolute;
    font-size: 1em;
    margin: 24px 16px;
    top: 0;
    left: 0;
    display: flex;
    padding: 0 2px;
    justify-content: center;
    background-size: 100% 1px;
    transition: transform .3s, font-size .3s;
    user-select: none;
    pointer-events: none;
}

label:has(>:focus)>span:first-child,
label:has(>[value]:not([value=""]))>span:first-child {
    transform: translateY(-16px);
    font-size: 16px;
}

.input-icon {
    color: var(--primary);
    position: absolute;
    background-color: white;
    margin: 32px 16px;
    font-size: 1em;
    top: 0;
    right: 0;
}

.input-error {
    color: red;
    opacity: 0;
}

.invalid {
    border-bottom-color: red;
}

span:has(+.invalid) {
    color: red;
}

.invalid+.input-error {
    opacity: 1;
}

.valid {
    border-bottom-color: var(--secondary);
}

span:has(+.valid) {
    color: var(--secondary);
}

/*#endregion*/

/*#region button*/

button {
    all: unset;
    cursor: pointer;
    user-select: none;
}

.btn {
    max-width: 100%;
    padding: 8px 32px;
    border-radius: 10px;
    height: fit-content;
    display: inline-block;
}

.btn-large {
    /*font-size: 1.25em;*/
    font-size: 1em;
}

.icon-btn-sm {
    border-radius: 50%;
    width: 42px;
    height: 42px;
    transition: background-color .3s;
    display: flex;
    justify-content: center;
    align-items: center;
}

.icon-btn-sm .material-symbols-rounded {
    font-size: 36px;
}

.icon-btn-sm:active,
.icon-btn-sm:hover {
    background: var(--shadow);
}

.leaf-btn {
    display: inline-block;
    background-color: var(--secondary);
    color: white;
    font-size: .8em;
    width: fit-content;
    min-width: 128px;
    text-align: center;
    padding: 8px;
    border-radius: 12px 2px;
}

.icon-btn {
    position: relative;
    background-color: var(--secondary);
    color: white;
    border-radius: 50%;
    height: 64px;
    width: 64px;
}

.icon-btn .material-symbols-rounded {
    font-size: 32px;
}

.btn,
.icon-btn,
.leaf-btn {
    text-decoration: none;
    transition: filter .3s, transform .1s;
}

.btn:hover,
.btn:active,
.icon-btn:hover,
.icon-btn:active,
.leaf-btn:active,
.leaf-btn:hover {
    filter: brightness(85%);
}

.btn:active,
.icon-btn:active,
.leaf-btn:active {
    transform: scale(.96);
}

@media only screen and (max-width: 768px) {
    .btn {
        padding: 8px 16px;
    }

    .btn-large {
        font-size: 1.10em;
    }
}

/*#endregion*/

/*#region navbar*/
#navbar {
    font-size: 18px;
    position: fixed;
    top: 0;
    z-index: 100;
    width: 100%;
    padding: 16px 64px;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: transform .5s, background-color .3s;
    gap: 32px;
}

#navbar:hover {
    background-color: var(--primary);
}

#navbar:hover .link,
#navbar:hover .drop-down-label,
#navbar:hover .logo {
    text-shadow: none !important;
}

#navbar.stuck {
    box-shadow: 0 0 7px 4px var(--shadow);
}

#navbar.hide {
    transform: translateY(-100%);
    box-shadow: none;
}

#navbar>:first-child {
    margin-right: auto;
}

#login {
    margin-left: 64px;
}

#navbar * {
    user-select: none;
}

#navbar-anchor {
    height: 1px;
    background-color: var(--primary);
}

#hamburger {
    display: none;
}

.drop-down-label,
.link {
    text-decoration: none;
    position: relative;
    font-weight: 500;
    cursor: pointer;
}

.drop-down {
    position: relative;
}

#navbar .link::after {
    content: "";
    position: absolute;
    height: .1em;
    background-color: white;
    bottom: -.5em;
    left: -.5em;
    width: 0;
    transition: width .3s;
}

#navbar .link:hover::after {
    width: calc(100% + 1em);
}

.drop-down.selected>.drop-down-label,
span.selected,
.link.selected {
    font-weight: bold;
}

menu>li.selected>a {
    color: white;
    background-color: var(--light);
}

.drop-down-menu {
    font-size: 16px;
    position: absolute;
    top: 24px;
    left: 50%;
    transform: translateX(-25%);
    background: white;
    color: var(--dark);
    overflow: hidden;
    width: max-content;
    border: 2px solid var(--shadow);
    padding: 8px 16px;
    border-radius: 4px;
    opacity: 0;
    transition: opacity .3s;
    pointer-events: none;
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-auto-flow: row;
    gap: 16px;
}

.drop-down-menu h4 {
    padding: 4px 8px;
}

.drop-down-menu * {
    color: var(--dark);
}

.drop-down-menu menu {
    width: 100%;
    margin: 0;
    padding: 0;
    list-style-type: none;
}

.drop-down-menu menu>li {
    margin: 4px 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.drop-down-menu menu>li>a {
    border-radius: 4px;
    padding: 4px 16px;
    height: 48px;
    width: 100%;
    text-decoration: none;
    transition: background .3s, color .3s;
    vertical-align: middle;
    line-height: 40px;
}

.drop-down-menu menu>li:not(.selected)>a:hover {
    background: var(--shadow);
    color: var(--primary);
}

.drop-down:hover>.drop-down-menu {
    pointer-events: initial;
    opacity: 1;
}

.drop-down-arrow {
    transition: transform .3s;
}

.drop-down:hover .drop-down-arrow {
    transform: rotate(180deg);
}

.logo {
    font-family: "Bebas";
    text-transform: uppercase;
    text-decoration: none;
    font-size: 3.5em;
}

@media only screen and (max-width: 1320px) {

    #navbar .link,
    #navbar .drop-down {
        display: none;
    }

    #hamburger {
        display: flex;
    }

    #navbar {
        padding: 16px 32px;
    }
}

/*#endregion*/

/*#region sidepanel*/
.sub-panel,
#side-panel {
    overflow-y: auto;
    overflow-x: hidden;
    position: fixed;
    right: 0;
    top: 0;
    display: flex;
    flex-direction: column;
    gap: 16px;
    height: 100vh;
    height: 100dvh;
    z-index: 102;
    transform: translate3d(100%, 0, 0);
    transition: transform .2s, opacity .2s;
    background-color: white;
    padding: 32px;
    width: 456px;
    max-width: 100vw;
    border-left: 2px solid var(--shadow);
    opacity: 0;
}

.sub-panel.open,
#side-panel.open {
    transform: translate3d(0, 0, 0);
    opacity: 1;
}

.sub-panel.open {
    z-index: 103;
}

.close-side-panel {
    margin-left: auto;
}

#side-panel-backdrop {
    position: fixed;
    display: none;
    top: 0;
    left: 0;
    height: 100vh;
    width: 100vw;
    z-index: 101;
    background-color: rgba(0, 0, 0, .25);
}

#navbar:has(~#side-panel.open) {
    background-color: var(--primary);
}

#side-panel.open+#side-panel-backdrop {
    display: block;
}

#side-panel .link {
    border-radius: 4px;
    padding: 4px 16px;
    height: auto;
    text-decoration: none;
    transition: background .3s, color .3s;
    color: var(--dark);
    vertical-align: middle;
    line-height: 40px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
}

#side-panel .link:active,
#side-panel .link:hover {
    background: var(--shadow);
    color: var(--primary);
}

@media only screen and (max-width: 480px) {

    .sub-panel,
    #side-panel {
        padding-top: 24px;
    }
}

/*#endregion*/

/*#region hero*/
#hero {
    position: relative;
    overflow: hidden;
    height: 100%;
    max-height: 100vh;
}

#hero:has(>picture) {
    height: 100vh;
}

#hero>picture>img,
#hero>picture {
    height: 100%;
    width: 100%;
}

#hero-title {
    position: relative;
    display: flex;
    flex-direction: column;
    gap: 32px;
    padding: 128px;
    z-index: 1;
}

#hero-title:has(+picture) {
    position: absolute;
    padding: 32px 64px;
}

.curve {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
    overflow: hidden;
    fill: var(--primary);
    pointer-events: none;
}

picture #hero-image {
    position: absolute;
    top: 0;
}

#hero-image {
    position: relative;
    aspect-ratio: 2 / 1;
    object-fit: cover;
    z-index: -1;
}

@media only screen and (max-width: 750px) {
    #hero:not(:has(#hero-image)) #hero-title {
        padding: 128px 24px;
    }
}

@media only screen and (max-width: 480px) {
    #hero-title {
        padding: 128px 24px;
    }

    #hero-title:has(+picture) {
        padding: 32px 24px;
    }
}

/*#endregion*/

/*#region box*/
.boxes {
    max-width: 1300px;
    display: grid;
    width: 100%;
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-rows: 1fr 1fr;
    gap: 16px;
}

.boxes::before {
    content: "";
    width: 0;
    padding-bottom: 100%;
    grid-row: 1 / 1;
    grid-column: 1 / 1;
}

.boxes>*:first-child {
    grid-row: 1 / 1;
    grid-column: 1 / 1;
}

.box {
    position: relative;
    box-sizing: border-box;
    overflow: hidden;
    width: 100%;
    padding: 16px;
    border-radius: 2.5%;
    box-shadow: 1px 1px 7px 2px var(--shadow);
}

.box-content {
    height: 100%;
    position: relative;
    display: flex;
    gap: 8px;
    flex-direction: column;
}

.box-content p {
    margin: 0;
}

.learn-more-arrow {
    margin-bottom: 4px;
    transition: transform .3s;
}

.box-footer {
    text-decoration: none;
    color: var(--dark);
    transition: color .3s;
    margin-top: auto;
}

.box-footer:hover {
    color: var(--secondary);
}

.box-footer:hover>.learn-more-arrow {
    transform: translateX(4px);
}

.box-cover {
    position: absolute;
    z-index: 1;
    background-color: var(--primary);
    color: white;
    width: 100%;
    height: 100%;
    margin: -16px;
    transition: transform 0.3s;
}

.box-cover * {
    color: white;
}

.box:hover>.box-cover {
    transform: translateY(-101%);
}

@media only screen and (max-width: 1300px) {
    .boxes {
        max-width: 880px;
        grid-template-columns: 1fr 1fr;
        grid-template-rows: 1fr 1fr 1fr;
    }
}

@media only screen and (max-width: 835px) {
    .boxes {
        max-width: 440px;
        grid-template-columns: 1fr;
        grid-template-rows: repeat(6, 1fr);
    }
}

@media (hover: none) {
    .box-cover {
        display: none;
    }
}

/*#endregion*/

/*#region card*/
.cards {
    display: grid;
    column-gap: 32px;
    row-gap: 16px;
    grid-template-columns: 1fr 1fr;
    grid-auto-rows: 1fr;
}

.card {
    position: relative;
    /*padding: 8px 16px;*/
    padding: 16px 26px;
    box-shadow: 1px 1px 7px 2px var(--shadow);
    overflow: hidden;
    border-radius: 10px;
    border: 1px solid var(--shadow);
}

.card-cover {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-bottom: 1px solid var(--shadow);
    transition: transform .5s;
}

.card-content {
    padding: 20px 0px;
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.card-content p {
    margin: 0;
}

.card:hover>.card-cover {
    transform: translateY(-110%);
}

.card-header {
    border-bottom: 1px solid var(--shadow);
    padding-bottom: 4px;
}

@media only screen and (max-width: 1000px) {
    .cards {
        grid-template-columns: 1fr;
    }
}

@media (hover: none) {
    .card-cover {
        display: none;
    }
}

/*#endregion*/

/*#region*/
.pager {
    display: grid;
    grid-auto-flow: column;
    border-radius: 20px;
    overflow: hidden;
    border: 1px solid var(--shadow);
}

.pager>*:not(:last-child) {
    border-right: 1px solid var(--shadow);
}

.pager>* {
    padding: 8px 8px;
    box-sizing: border-box;
    min-width: 72px;
    max-width: min-content;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}

.pager-next>span,
.pager-prev>span {
    font-size: 2em;
}

.pager-next,
.pager-prev {
    transition: background-color .3s;
}

.pager-next:disabled,
.pager-prev:disabled {
    background-color: lightgrey;
    pointer-events: none;
}

.pager-next:hover,
.pager-prev:hover {
    background-color: var(--shadow);
}

/*#endregion*/

/*#region cookiebanner*/

#cookieBanner {
    align-items:baseline;
    width: 1000px;
    font-size: .9em;
    position: fixed;
    bottom: 0;
    left: 50%;
    transform: translate(calc(-50% - 12px));
    margin: 12px;
    padding: 16px;
    border-radius: 8px;
    background-color: white;
    box-shadow: 0 0 7px 4px var(--shadow);
    z-index: 10;
    display: flex;
    flex-direction: column;
    gap: 16px;
    opacity: 0;
    pointer-events: none;
    transition: opacity .3s;

}

#cookieBanner.show {
    pointer-events: unset;
    opacity: 1;
}

#cookieBanner h3 {
    font-size: medium;
    text-align: center;
    width : 100%;
}

#cookieBanner p {
    margin: 0;
    font-size: smaller;
}

#cookieBanner .row {
    gap: 16px;
}

#cookieBanner .btn {
    text-align: center;
    padding: 8px 32px;
}

#cookieBanner .bg-secondary-inverted {
    background-color:white;
    color: var(--secondary);
    border: 1px solid var(--secondary);
    fill: white;
    padding : 6px 30px;
    min-width: 65px;
}

.close-btn {
    position: absolute;
    top: 0;
    right: 0;
    border-radius: 50%;
    margin: 8px;
    width: 36px;
    height: 36px;
    transition: background-color .3s;
    display: flex;
    justify-content: center;
    align-items: center;
}

.close-btn .material-symbols-rounded {
    font-size: 24px;
}

.close-btn:active,
.close-btn:hover {
    background: var(--shadow);
}

@media only screen and (max-width: 1300px) {
    #cookieBanner {
        width: auto;
        left: 0;
        transform: translate(0);
    }
}

@media only screen and (max-width: 768px) {
    #cookieBanner .row {
        flex-direction: column;
    }
}

/*#endregion*/

/*#region animation*/

.ripples {
    position: relative;
    height: 64px;
    width: 64px;
}

.ripples::after,
.ripples::before {
    content: "";
    display: block;
    position: absolute;
    left: 0;
    top: 0;
    background-color: transparent;
    box-shadow: 0 5px 3px 4px var(--shadow);
    border-radius: 50%;
    width: 64px;
    height: 64px;
    pointer-events: none;
    animation-name: ripple;
    animation-duration: 3s;
    animation-iteration-count: infinite;
}

.ripples::before {
    animation-delay: .5s;
}

@keyframes ripple {
    from {
        opacity: 1;
    }

    to {
        opacity: 0;
        transform: scale(10, 10);
    }
}

.fadein,
.fadein-left {
    opacity: 0;
}

.fadein.animate {
    animation-name: fadein;
}

.fadein-left.animate {
    animation-name: fadein-left;
}

.animate {
    animation-fill-mode: forwards;
    animation-duration: 2s;
}

.delayed {
    animation-delay: .5s;
}

@keyframes fadein-left {
    from {
        opacity: 0;
        transform: translateX(-100%);
    }

    to {
        opacity: 1;
        transform: translateX(0);
    }
}

@keyframes fadein {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

@keyframes wavy {
    from {
        background-position-x: 0;
    }

    to {
        background-position-x: 100%
    }
}

/*#endregion*/

/* Small screens */
@media only screen and (max-width: 480px) {
    #navbar {
        font-size: 15px;
    }

    :root {
        font-size: 15px;
    }

    .d-none-sm {
        display: none;
    }

    .d-block-sm {
        display: block;
    }

    .content {
        padding: 64px 24px;
    }
}

@media only screen and (max-width: 1550px) {
    :root {
        font-size: 18px;
    }

    #navbar {
        font-size: 16px;
    }
}

/* Medium screens */
@media only screen and (max-width: 1300px) {
    h1 {
        font-size: 2em;
    }

    h2 {
        font-size: 1.5em;
    }

    #get-in-touch {
        aspect-ratio: unset;
        padding-top: 160px;
        padding-bottom: 160px;
    }
}

@media only screen and (max-width: 525px) {
    #navbar .logo {
        font-size: 46px;
    }

    #login {
        display: none;
    }
}

/* Small screens landscape */
@media screen and (orientation: landscape) and (max-device-width: 480px) {
    .d-none-sm {
        display: none;
    }

    .d-block-sm {
        display: block;
    }

    .content {
        padding: 64px 24px;
    }
}
